package com.goafanti.expenseAccount.bo;

import com.goafanti.common.utils.excel.Excel;

import java.math.BigDecimal;

public class ExpenseCountsOrder extends ExpenseCountsBo{


    private String orderNo;
    @Excel(name = "合同编号")
    private String contractNo;
    @Excel(name = "客户名称")
    private String buyerName;
    
    @Excel(name = "应公出工时")
    private String  maxDuration;
    @Excel(name = "实际公出工时")
    private String actualDuration;
    @Excel(name = "超出工时")
    private String exceedDuration;
    @Excel(name = "合同金额",scale = 6)
    private BigDecimal totalAmount;
    @Excel(name = "已收款",scale = 6)
    private BigDecimal settlementAmount;
    @Excel(name = "报销总额",scale = 6)
    private BigDecimal expenseAmount;
    @Excel(name = "已付成本",scale = 6)
    private BigDecimal paymentAmount;

    @Excel(name = "报销人数")
    private Integer peopleCount;
    @Excel(name = "天数")
    private Integer days;
    @Excel(name = "报销单数")
    private Integer expenseCount;
    @Excel(name = "报销未审核")
    private Integer notExamine;
    @Excel(name = "驳回单数")
    private Integer rejectCount;
    private Integer exceedType;

    @Override
    public String getOrderNo() {
        return orderNo;
    }

    @Override
    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    @Override
    public String getContractNo() {
        return contractNo;
    }

    @Override
    public void setContractNo(String contractNo) {
        this.contractNo = contractNo;
    }

    @Override
    public String getBuyerName() {
        return buyerName;
    }

    @Override
    public void setBuyerName(String buyerName) {
        this.buyerName = buyerName;
    }

    @Override
    public String getMaxDuration() {
        if(maxDuration==null){
            maxDuration="0";
        }
        return maxDuration;
    }

    @Override
    public void setMaxDuration(String maxDuration) {
        this.maxDuration = maxDuration;
    }

    @Override
    public String getActualDuration() {
        if(actualDuration==null){
            actualDuration="0";
        }
        return actualDuration;
    }

    @Override
    public void setActualDuration(String actualDuration) {
        this.actualDuration = actualDuration;
    }

    @Override
    public String getExceedDuration() {
        if(exceedDuration==null){
            exceedDuration="0";
        }
        return exceedDuration;
    }

    @Override
    public void setExceedDuration(String exceedDuration) {
        this.exceedDuration = exceedDuration;
    }

    @Override
    public BigDecimal getTotalAmount() {
        return totalAmount;
    }

    @Override
    public void setTotalAmount(BigDecimal totalAmount) {
        this.totalAmount = totalAmount;
    }

    @Override
    public BigDecimal getSettlementAmount() {
        return settlementAmount;
    }

    @Override
    public void setSettlementAmount(BigDecimal settlementAmount) {
        this.settlementAmount = settlementAmount;
    }

    @Override
    public BigDecimal getExpenseAmount() {
        if(expenseAmount==null){
            return BigDecimal.ZERO;
        }
        return expenseAmount;
    }

    @Override
    public void setExpenseAmount(BigDecimal expenseAmount) {
        this.expenseAmount = expenseAmount;
    }

    @Override
    public BigDecimal getPaymentAmount() {
        if(paymentAmount==null){
            paymentAmount=BigDecimal.ZERO;
        }
        return paymentAmount;
    }

    @Override
    public void setPaymentAmount(BigDecimal paymentAmount) {
        this.paymentAmount = paymentAmount;
    }

    @Override
    public Integer getPeopleCount() {
        if(peopleCount==null){
            peopleCount=0;
        }
        return peopleCount;
    }

    @Override
    public void setPeopleCount(Integer peopleCount) {
        this.peopleCount = peopleCount;
    }

    @Override
    public Integer getDays() {
        if(days==null){
            days=0;
        }
        return days;
    }

    @Override
    public void setDays(Integer days) {
        this.days = days;
    }

    @Override
    public Integer getExpenseCount() {
        if(expenseCount==null){
            expenseCount=0;
        }
        return expenseCount;
    }

    @Override
    public void setExpenseCount(Integer expenseCount) {
        this.expenseCount = expenseCount;
    }

    @Override
    public Integer getNotExamine() {
        if(notExamine==null){
            notExamine=0;
        }
        return notExamine;
    }

    @Override
    public void setNotExamine(Integer notExamine) {
        this.notExamine = notExamine;
    }

    @Override
    public Integer getRejectCount() {
        if(rejectCount==null){
            rejectCount=0;
        }
        return rejectCount;
    }

    @Override
    public void setRejectCount(Integer rejectCount) {
        this.rejectCount = rejectCount;
    }

    public Integer getExceedType() {
        if(exceedType==null){
            exceedType=0;
        }
        return exceedType;
    }

    public void setExceedType(Integer exceedType) {
        this.exceedType = exceedType;
    }
}
